Get Tap Devices
curl --request GET \
--url https://server.stage.overflow.co/api/v3/tap/devices \
--header 'x-api-key: <api-key>' \
--header 'x-client-id: <api-key>'import requests
url = "https://server.stage.overflow.co/api/v3/tap/devices"
headers = {
"x-client-id": "<api-key>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-client-id': '<api-key>', 'x-api-key': '<api-key>'}};
fetch('https://server.stage.overflow.co/api/v3/tap/devices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "6816f7ce7d2a1b4c12ab3501",
"serialNumber": 104233,
"deviceType": "Lanyard",
"groupId": "<string>",
"group": {
"id": "<string>",
"name": "<string>"
},
"currentDestination": {
"id": "<string>",
"name": "<string>",
"type": "web"
},
"createdAt": "2026-05-01T17:22:11.421Z",
"updatedAt": "2026-05-04T14:09:32.145Z",
"archivedAt": "2023-11-07T05:31:56Z"
}
],
"totalCount": 100
}Get Tap Devices
Returns tap devices for a nonprofit based on the provided filters. The search parameter matches by exact serial number, not fuzzy text search.
GET
/
api
/
v3
/
tap
/
devices
Get Tap Devices
Authorizations
Client ID for API authentication
API Key for API authentication
Query Parameters
The number of tap devices to return.
Required range:
1 <= x <= 100The page number of the tap devices to return.
Required range:
x >= 1Search by exact serial number. Must be a numeric value.
Pattern:
^\d+$Example:
"12345"
Filter tap devices by group Id. Use "unassigned" to get devices not assigned to any group.
Available options:
unassigned Example:
"6710f34fd5061afeec3eab58"
Filter tap devices by device type.
Available options:
Lanyard, Stand, Bracelet, Wristband, Plates/Disc/Magnet/Label, Flex, Plate Square, Arm Rest Rectangle, Plates, Disc, Magnet, Label Example:
"Stand"
Whether to include tap devices that have been archived.
The field to sort the tap devices by.
Available options:
serialNumber, createdAt Example:
"createdAt"
The direction to sort the tap devices by.
Available options:
ASC, DESC Example:
"DESC"
Last modified on July 14, 2026
Was this page helpful?